Skip to main content
curl https://api.chargeapi.co/v1/reservations/res_2gdGvYdVl4rOAYYZKw9A0NvGcnQBjhwm \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "res_2gdGvYdVl4rOAYYZKw9A0NvGcnQBjhwm",
    "object": "reservation",
    "cancellation_policy": {
        "free_until_before": 1800,
        "type": "free_cancellation"
    },
    "charging_station": "chst_AHcTUvrKsE8tBn2FBr14qm4wUi8tMpxf",
    "confirmed_at": "2026-04-01T01:06:22.750Z",
    "connector_type": ["CCS"],
    "created": "2026-04-01T00:38:32.334Z",
    "currency": "eur",
    "driver": "drv_8ww8Fgr4hAxF1UVHbUS7leiKvLSTT0SM",
    "earliest_start": null,
    "failed_reason": null,
    "ideal_end": "2026-04-01T03:08:47.086Z",
    "ideal_start": "2026-04-01T01:38:50.112Z",
    "latest_end": null,
    "location": {
        "latitude": 48.8698,
        "longitude": 2.3319,
        "radius": 1500
    },
    "metadata": {},
    "payment_method": "pm_QT2dm0WBie4w8XFKJtYeRckANPtd9yFz",
    "reservation_fee": 1200,
    "reserved_end": "2026-04-01T03:08:56.058Z",
    "reserved_start": "2026-04-01T01:38:30.194Z",
    "status": "confirmed",
    "updated": "2026-04-01T01:12:39.485Z",
    "vehicle": "veh_SddfwxI37wrE3eD7AbiMAXxcLGpIQiys"
}
Retrieves a reservation.
curl https://api.chargeapi.co/v1/reservations/res_2gdGvYdVl4rOAYYZKw9A0NvGcnQBjhwm \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "res_2gdGvYdVl4rOAYYZKw9A0NvGcnQBjhwm",
    "object": "reservation",
    "cancellation_policy": {
        "free_until_before": 1800,
        "type": "free_cancellation"
    },
    "charging_station": "chst_AHcTUvrKsE8tBn2FBr14qm4wUi8tMpxf",
    "confirmed_at": "2026-04-01T01:06:22.750Z",
    "connector_type": ["CCS"],
    "created": "2026-04-01T00:38:32.334Z",
    "currency": "eur",
    "driver": "drv_8ww8Fgr4hAxF1UVHbUS7leiKvLSTT0SM",
    "earliest_start": null,
    "failed_reason": null,
    "ideal_end": "2026-04-01T03:08:47.086Z",
    "ideal_start": "2026-04-01T01:38:50.112Z",
    "latest_end": null,
    "location": {
        "latitude": 48.8698,
        "longitude": 2.3319,
        "radius": 1500
    },
    "metadata": {},
    "payment_method": "pm_QT2dm0WBie4w8XFKJtYeRckANPtd9yFz",
    "reservation_fee": 1200,
    "reserved_end": "2026-04-01T03:08:56.058Z",
    "reserved_start": "2026-04-01T01:38:30.194Z",
    "status": "confirmed",
    "updated": "2026-04-01T01:12:39.485Z",
    "vehicle": "veh_SddfwxI37wrE3eD7AbiMAXxcLGpIQiys"
}

Parameters

No parameters.

Returns

Returns the reservation.